AOWP_PHPArgumentElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPArgumentElement
/parser/ast/PHPArgumentElement.class.php at line 16

# Class AOWP_PHPArgumentElement

    AOWP_PHPElement
        └─AOWP_PHPArgumentElement

public class AOWP_PHPArgumentElement
extends AOWP_PHPElement

PHPのASTにおける「実引数」を表すクラス 文法規則: function_call_parameter_list

Author:
  Ryoto Naruse

Field Summary
AOWP_PHPElement | $expr 引き数の式を表すASTのインスタンス。 {@link AOWP_PHPScalarExprElement} or {@link AOWP_PHPVariableElement} or {@link AOWP_PHPReferenceVariableElement} (要調査)。

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPArgumentElement(mixed _line, mixed expr)

Method Summary
void | __toString()
static AOWP_PHPArgumentElement | createArrayArgumentWithNumberIndex(string variableName, int numberIndex) 配列の引き数を表す、ASTインスタンスを作成する。
static void | createScalarArgument(mixed scalar)
static AOWP_PHPArgumentElement | createStringArgument(string stringValue) 文字列、もしくは数値の引き数を表す、ASTインスタンスを作成する。
static AOWP_PHPArgumentElement | createVariableArgument(string variableName) 変数の引き数を表す、ASTインスタンスを作成する。
AOWP_PHPElement | getExpr() {@link AOWP_PHPArgumentElement::expr} の値の clone を取得します。
void | isArrayArgument()
void | kind()
void | setExpr(mixed element, $element )
void | setVariableArgumentName(string variableName) 引き数に、指定した名前の変数を設定します。

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPArgumentElement.class.php at line 24

### expr

`public AOWP_PHPElement $expr`

引き数の式を表すASTのインスタンス。 `AOWP_PHPScalarExprElement` or `AOWP_PHPVariableElement` or `AOWP_PHPReferenceVariableElement` (要調査)。

## Constructor Detail

/parser/ast/PHPArgumentElement.class.php at line 26

### AOWP_PHPArgumentElement

`public AOWP_PHPArgumentElement(mixed _line, mixed expr)`

## Method Detail

/parser/ast/PHPArgumentElement.class.php at line 119

### __toString

`public void __toString()`

/parser/ast/PHPArgumentElement.class.php at line 64

### createArrayArgumentWithNumberIndex

`public static AOWP_PHPArgumentElement createArrayArgumentWithNumberIndex(string variableName, int numberIndex)`

配列の引き数を表す、ASTインスタンスを作成する。

Parameters:
  variableName - 変数名
  numberIndex - 配列の添字

/parser/ast/PHPArgumentElement.class.php at line 109

### createScalarArgument

`public static void createScalarArgument(mixed scalar)`

/parser/ast/PHPArgumentElement.class.php at line 98

### createStringArgument

`public static AOWP_PHPArgumentElement createStringArgument(string stringValue)`

文字列、もしくは数値の引き数を表す、ASTインスタンスを作成する。

Parameters:
  stringValue - 文字列

/parser/ast/PHPArgumentElement.class.php at line 51

### createVariableArgument

`public static AOWP_PHPArgumentElement createVariableArgument(string variableName)`

変数の引き数を表す、ASTインスタンスを作成する。

Parameters:
  variableName - 変数名

/parser/ast/PHPArgumentElement.class.php at line 41

### getExpr

`public AOWP_PHPElement getExpr()`

`AOWP_PHPArgumentElement::expr` の値の clone を取得します。

/parser/ast/PHPArgumentElement.class.php at line 115

### isArrayArgument

`public void isArrayArgument()`

/parser/ast/PHPArgumentElement.class.php at line 123

### kind

`public void kind()`

/parser/ast/PHPArgumentElement.class.php at line 77

### setExpr

`public void setExpr(mixed element, $element )`

/parser/ast/PHPArgumentElement.class.php at line 88

### setVariableArgumentName

`public void setVariableArgumentName(string variableName)`

引き数に、指定した名前の変数を設定します。

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr